dpkg (1.22.21ubuntu3) questing; urgency=medium

  * scripts/dpkg-gencentrol.pl: fix operator precedence. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 25 Aug 2025 16:00:58 +1200

dpkg (1.22.21ubuntu2) questing; urgency=medium

  * Introduce architecture variants (thanks to mwhudson for the rebase)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 11 Aug 2025 17:40:23 +0200

dpkg (1.22.21ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - scripts/Dpkg/Vendor/Ubuntu.pm, scripts/dpkg-buildpackage.pl: set
      'nocheck' in build options by default on Ubuntu/riscv64.  Overridable
      in debian/rules with
      'DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))'.
    - dpkg-dev: Depend on lto-disabled-list.
    - dpkg-buildflags: Read package source names from lto-disabled-list,
      to build without lto optimizations. When adding a source package to the
      list, please also file a launchpad issue and tag it with 'lto'.
    - scripts/Dpkg/Vendor/Ubuntu.pm: set 'noudeb' build profile by
      default. Override this by exporting DEB_BUILD_PROFILE='!noudeb' which
      will be stripped, and thus building with udebs.
    - build: Switch default dpkg-deb compression from xz to zstd.
      Keep compressing dpkg.deb with xz to help bootstrapping on non-Ubuntu
      systems.
    - set default zstd compression level to 19
    - scripts/Dpkg/Vendor/Debian.pm: Always include "-fdebug-prefix-map"
      to build flags.  Map path to "/usr/src/PKGNAME-PKGVER" instead of
      ".", honouring the DWARF standard which prohibits relative paths
      in DW_AT_comp_dir.
    - scripts/{mk/buildflags.mk,t.mk}: Add support for DEB_BUILD_DEBUGPATH.
    - man/dpkg-buildflags.pod: Document new behaviour of "fdebugmap" and
      new DEB_BUILD_DEBUGPATH variable.
    - Disable -fstack-clash-protection on armhf since it causes crashes
    - dpkg-buildflags: Add a new feature "framepointer" in the "qa" area.
    - Turn on the use of frame pointers by default on 64bit architectures.
    - Update _FORTIFY_SOURCE documentation.
    - Update Dpkg_BuildFlags test case.
    - Fix debian/rules duplicate invocations of dh_builddeb
    - lib/dpkg/compress.c: clean up override of the default zstd compression
      level
    - dpkg-buildflags: Explicitly turn off hardening flags when requested.
    - Export environment variables DEB_BUILD_OS_RELEASE_ID, DEB_HOST_ARCH,
      DEB_SOURCE, and DEB_VERSION when including buildflags.mk (LP: #2070015)
    - buildflags: document RUSTFLAGS
    - buildflags: Always set RUSTFLAGS
    - tests: avoid failing under DEB_VENDOR != Debian
    - dpkg-buildflags: enable ELF package note metadata
    - buildflags: set origin of env vars for ELF package metadata
    - Export ELF_PACKAGE_METADATA for a build. Picked up by GCC and clang.
      Passing -specs explicitly can be dropped in a follow-up upload.
    - dpkg-buildflags: set RUSTFLAGS to influence the command line flags cargo
      will pass to rustc, and set the flags to include framepointers when the
      framepointer feature of the qa area is enabled.
    - Disable framepointer on ppc64el.
    - Disable framepointer on s390x, leaving only -mbackchain.
    - Add a note about different behaviour of dpkg-buildflags with respect to
      LTO on Ubuntu.
    - dpkg-buildpackage: Construct ELF_PACKAGE_METADATA, and set in the
      environment if not already set.  This setting is picked up by
      GCC and clang, passing a --package-metadata option the the linker.
    - Stop passing --specs for metadata information. It's too fragile
      and only works for GCC. Also introduces a lot of packaging delta.
    - Stop defaulting to -O3 on amd64.
    - dpkg-dev: Still prefer gnupg and gpgv over sq.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Jul 2025 11:45:01 +0200

dpkg (1.22.21) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-deb: Fix cleanup for control member with restricted directories.
    Fixes CVE-2025-6297. Reported by zhutyra on HackerOne.
  * Perl modules:
    - Dpkg::BuildDriver::DebianRules: Fix uninitialized Perl variables.
      Closes: #1107971
    - Dpkg::BuildDriver::DebianRules: Fix R³ dpkg/target/<target> values
      handling.
    - Dpkg::BuildTree: Fix needs_root() for R³ with implementation specific
      keywords. See #1107971.
  * Code internals:
    - libdpkg: Do not segfault when adding triggers in no-act mode.
      Closes: #1108192

 -- Guillem Jover <guillem@debian.org>  Tue, 01 Jul 2025 01:32:04 +0200

dpkg (1.22.20) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::OpenPGP::Backend::Sequoia: Do not run sq/sqv to verify with no
      keyrings. Closes: #1106148
    - Dpkg::OpenPGP::Backend::Sequoia: Run sq in stateless mode for
      verification. Suggested by Neal H. Walfield <neal@sequoia-pgp.org>.
  * Localization:
    - Update Catalan translations.
    - Update German scripts translation.
      Thanks to Helge Kreutzmann <debian@helgefjell.de>.
    - Update Portuguese scripts translation.
    - Update Swedish scripts translation.

 -- Guillem Jover <guillem@debian.org>  Wed, 04 Jun 2025 02:12:28 +0200

dpkg (1.22.19) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::Vendor::Debian: Add tag2upload OpenPGP keyring to package-keyrings.
    - Dpkg::Vendor::PureOS: Add new vendor module.
      Thanks to Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>.
    - Test::Dpkg: Fix OpenPGP backend commands detection.
    - Dpkg::OpenPGP::Backend::Sequoia: Add sqv support for verification.
  * Code internals:
    - libcompat: Handle allocation failures in fgetpwent() and fgetgrent().
      Based on a patch by Simon Richter <sjr@debian.org>.
  * Packaging:
    - Document OpenPGP implementation dependencies.
      Prompted by Paul Gevers <elbrus@debian.org>.
  * Localization:
    - Update Brazilian Portuguese programs translation.
      Thanks to Paulo Henrique de Lima Santana <phls@debian.org>.
      Closes: #1100999
    - Update Dutch translations.
      Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
      Closes: #1101574, #1101582, #1101583
    - Update Portuguese translations.
      Thanks to Américo Monteiro <a_monteiro@gmx.com>.
      Closes: #1100064, #1105126
    - Update Romanian translations.
      Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>.
      Closes: #1101549, #1101550
    - Update Swedish translations.
      Thanks to Peter Krefting <peter@softwolves.pp.se>. Closes: #1100068

 -- Guillem Jover <guillem@debian.org>  Mon, 19 May 2025 00:00:44 +0200

dpkg (1.22.18ubuntu3) questing; urgency=medium

  * Stop defaulting to -O3 on amd64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 28 Apr 2025 18:25:25 +1200

dpkg (1.22.18ubuntu2) plucky; urgency=medium

  * dpkg-dev: Still prefer gnupg and gpgv over sq.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Mar 2025 16:58:38 +0100

dpkg (1.22.18ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - scripts/Dpkg/Vendor/Ubuntu.pm, scripts/dpkg-buildpackage.pl: set
      'nocheck' in build options by default on Ubuntu/riscv64.  Overridable
      in debian/rules with
      'DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))'.
    - dpkg-dev: Depend on lto-disabled-list.
    - dpkg-buildflags: Read package source names from lto-disabled-list,
      to build without lto optimizations. When adding a source package to the
      list, please also file a launchpad issue and tag it with 'lto'.
    - scripts/Dpkg/Vendor/Ubuntu.pm: set 'noudeb' build profile by
      default. Override this by exporting DEB_BUILD_PROFILE='!noudeb' which
      will be stripped, and thus building with udebs.
    - build: Switch default dpkg-deb compression from xz to zstd.
      Keep compressing dpkg.deb with xz to help bootstrapping on non-Ubuntu
      systems.
    - set default zstd compression level to 19
    - scripts/Dpkg/Vendor/Debian.pm: Always include "-fdebug-prefix-map"
      to build flags.  Map path to "/usr/src/PKGNAME-PKGVER" instead of
      ".", honouring the DWARF standard which prohibits relative paths
      in DW_AT_comp_dir.
    - scripts/{mk/buildflags.mk,t.mk}: Add support for DEB_BUILD_DEBUGPATH.
    - man/dpkg-buildflags.pod: Document new behaviour of "fdebugmap" and
      new DEB_BUILD_DEBUGPATH variable.
    - Disable -fstack-clash-protection on armhf since it causes crashes
    - dpkg-buildflags: Add a new feature "framepointer" in the "qa" area.
    - Turn on the use of frame pointers by default on 64bit architectures.
    - Update _FORTIFY_SOURCE documentation.
    - Update Dpkg_BuildFlags test case.
    - Fix debian/rules duplicate invocations of dh_builddeb
    - lib/dpkg/compress.c: clean up override of the default zstd compression
      level
    - dpkg-buildflags: Explicitly turn off hardening flags when requested.
    - Export environment variables DEB_BUILD_OS_RELEASE_ID, DEB_HOST_ARCH,
      DEB_SOURCE, and DEB_VERSION when including buildflags.mk (LP: #2070015)
    - buildflags: document RUSTFLAGS
    - buildflags: Always set RUSTFLAGS
    - tests: avoid failing under DEB_VENDOR != Debian
    - dpkg-buildflags: enable ELF package note metadata
    - buildflags: set origin of env vars for ELF package metadata
    - Export ELF_PACKAGE_METADATA for a build. Picked up by GCC and clang.
      Passing -specs explicitly can be dropped in a follow-up upload.
    - dpkg-buildflags: set RUSTFLAGS to influence the command line flags cargo
      will pass to rustc, and set the flags to include framepointers when the
      framepointer feature of the qa area is enabled.
    - Disable framepointer on ppc64el.
    - Disable framepointer on s390x, leaving only -mbackchain.
    - Add a note about different behaviour of dpkg-buildflags with respect to
      LTO on Ubuntu.
    - dpkg-buildpackage: Construct ELF_PACKAGE_METADATA, and set in the
      environment if not already set.  This setting is picked up by
      GCC and clang, passing a --package-metadata option the the linker.
    - Stop passing --specs for metadata information. It's too fragile
      and only works for GCC. Also introduces a lot of packaging delta.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Mar 2025 10:46:37 +0100

dpkg (1.22.18) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::OpenPGP::Backend::Sequoia: Add missing Dpkg::Gettext import.
      Thanks to Yuri Konotopov <ykonotopov@gnome.org>. Closes: #1099866
  * Packaging:
    - Bump Standards-Version to 4.7.2 (no changes needed).

  [ Helge Kreutzmann ]
  * Localization:
    - Update German man pages translation.
    - Update German scripts translation.

 -- Guillem Jover <guillem@debian.org>  Sun, 09 Mar 2025 19:00:01 +0100

# For older changelog entries, run 'apt-get changelog dselect'
